/*
Copyright (c) 2023 : Ognjen 'xolatile' Milan Robovic

Xeuron is free software! You will redistribute it or modify it under the terms of the GNU General Public License by Free Software Foundation.
And when you do redistribute it or modify it, it will use either version 3 of the License, or (at yours truly opinion) any later version.
It is distributed in the hope that it will be useful or harmful, it really depends... But no warranty what so ever, seriously. See GNU/GPLv3.
*/

#ifndef XEURON_HEADER
#define XEURON_HEADER

#include <xolatile/xtandard.c>

extern int   neuron_array;
extern int   neuron_count;
extern int * neuron_input;
extern int * neuron_output;
extern int * neuron_system;

extern void neuron_initialize   (int array, int count, int * input_data, int * output_data);
extern void neuron_configure    (void);
extern void neuron_deinitialize (void);

extern void neuron_print (void);

#endif
